> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/wam-contacts.md).

# WAM contacts

## GET /wam/contacts/

> Get list of waste contacts

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Contacts"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"waste_contact_role":{"enum":["trucker","notification","signatory"],"type":"string"},"Contacts_1":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/Contact_1"},"type":"array"}},"type":"object"},"Contact_1":{"allOf":[{"$ref":"#/components/schemas/Contact_1_allOf"},{"$ref":"#/components/schemas/PublicWasteContactInputValidator"}]},"Contact_1_allOf":{"properties":{"uid":{"description":"Unique identifier of the contact","format":"uuid","type":"string"}},"type":"object"},"PublicWasteContactInputValidator":{"properties":{"company_id":{"description":"ID of the company of the contact","type":"integer"},"roles":{"description":"Roles of the contact","items":{"$ref":"#/components/schemas/waste_contact_role"},"type":"array"},"email":{"description":"Email of the contact","format":"email","type":"string"},"full_name":{"description":"Full name of the contact","type":"string"}},"type":"object"}}},"paths":{"/wam/contacts/":{"get":{"parameters":[{"description":"Filter by company id","in":"query","name":"company_id","required":false,"schema":{"type":"integer"}},{"description":"Filter by role","in":"query","name":"role","required":false,"schema":{"$ref":"#/components/schemas/waste_contact_role"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contacts_1"}}},"description":"A paginated list of waste contacts"}},"summary":"Get list of waste contacts","tags":["Wam-Contacts"]}}}}
````

## POST /wam/contacts/

> Create a new waste contact

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Contacts"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"PublicWasteContactInputValidator":{"properties":{"company_id":{"description":"ID of the company of the contact","type":"integer"},"roles":{"description":"Roles of the contact","items":{"$ref":"#/components/schemas/waste_contact_role"},"type":"array"},"email":{"description":"Email of the contact","format":"email","type":"string"},"full_name":{"description":"Full name of the contact","type":"string"}},"type":"object"},"waste_contact_role":{"enum":["trucker","notification","signatory"],"type":"string"},"Contact_1":{"allOf":[{"$ref":"#/components/schemas/Contact_1_allOf"},{"$ref":"#/components/schemas/PublicWasteContactInputValidator"}]},"Contact_1_allOf":{"properties":{"uid":{"description":"Unique identifier of the contact","format":"uuid","type":"string"}},"type":"object"}}},"paths":{"/wam/contacts/":{"post":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicWasteContactInputValidator"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contact_1"}}},"description":"Created waste contact"}},"summary":"Create a new waste contact","tags":["Wam-Contacts"]}}}}
````

## GET /wam/contacts/{uid}/

> Get a specific waste contact

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Contacts"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Contact_1":{"allOf":[{"$ref":"#/components/schemas/Contact_1_allOf"},{"$ref":"#/components/schemas/PublicWasteContactInputValidator"}]},"Contact_1_allOf":{"properties":{"uid":{"description":"Unique identifier of the contact","format":"uuid","type":"string"}},"type":"object"},"PublicWasteContactInputValidator":{"properties":{"company_id":{"description":"ID of the company of the contact","type":"integer"},"roles":{"description":"Roles of the contact","items":{"$ref":"#/components/schemas/waste_contact_role"},"type":"array"},"email":{"description":"Email of the contact","format":"email","type":"string"},"full_name":{"description":"Full name of the contact","type":"string"}},"type":"object"},"waste_contact_role":{"enum":["trucker","notification","signatory"],"type":"string"}}},"paths":{"/wam/contacts/{uid}/":{"get":{"parameters":[{"description":"Unique ID of the waste contact","in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contact_1"}}},"description":"A specific waste contact"}},"summary":"Get a specific waste contact","tags":["Wam-Contacts"]}}}}
````

## DELETE /wam/contacts/{uid}/

> Delete a specific waste contact

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Contacts"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}}},"paths":{"/wam/contacts/{uid}/":{"delete":{"parameters":[{"description":"Unique ID of the waste contact","in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Waste contact deleted"}},"summary":"Delete a specific waste contact","tags":["Wam-Contacts"]}}}}
````

## PATCH /wam/contacts/{uid}/

> Update a specific waste contact

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Contacts"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"PublicWasteContactInputValidator":{"properties":{"company_id":{"description":"ID of the company of the contact","type":"integer"},"roles":{"description":"Roles of the contact","items":{"$ref":"#/components/schemas/waste_contact_role"},"type":"array"},"email":{"description":"Email of the contact","format":"email","type":"string"},"full_name":{"description":"Full name of the contact","type":"string"}},"type":"object"},"waste_contact_role":{"enum":["trucker","notification","signatory"],"type":"string"},"Contact_1":{"allOf":[{"$ref":"#/components/schemas/Contact_1_allOf"},{"$ref":"#/components/schemas/PublicWasteContactInputValidator"}]},"Contact_1_allOf":{"properties":{"uid":{"description":"Unique identifier of the contact","format":"uuid","type":"string"}},"type":"object"}}},"paths":{"/wam/contacts/{uid}/":{"patch":{"parameters":[{"description":"Unique ID of the waste contact","in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicWasteContactInputValidator"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contact_1"}}},"description":"Updated waste contact"}},"summary":"Update a specific waste contact","tags":["Wam-Contacts"]}}}}
````
